<div ng-controller="FormularioDosController">
  <div class="row">
    <div class="col-md-12">
      <div>
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Labor">
            </div>
          </div>
          <div class="col-md-2">
            
          </div>
          <div class="col-md-4">
            <button ng-if="permisosHas('mantenimiento.registrar')" class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();new(1,$event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar labor</button>
          </div>
          <div class="col-md-12">
            <hr>
          </div>
        </div>

        <div class="row" ng-if="isLoading">
          <div class="col-md-12">
            <loading></loading>
          </div>
        </div>

        <div class="row" ng-if="!isLoading">
            <div class="col-md-12">
              <h5 class="text-right"><strong>CANTIDAD : {{labores.length}} LABORES</strong></h5>
            </div>
            <div class="col-md-12" ng-if="labores.length > 0">
              <div ui-tree="options" id="tree-root" data-drag-enabled="false">
                <ol ui-tree-nodes="" ng-model="labores">
                  <li dir-paginate="labor in labores |filter: buscar | itemsPerPage: 6" pagination-id="labor.id" ui-tree-node>
                    <div ui-tree-handle class="tree-node">
                      <a class="btn" data-nodrag ng-click="toggle(this)"><i class="fa fa-angle-down" ng-class="{'fa-angle-right': collapsed, 'fa-angle-down': !collapsed}"></i></a>
                      {{labor.nombre | uppercase}} ({{labor.items.length}} ITEMS)
                      <a class="pull-right btn remove text-danger" data-nodrag ng-click="load(labor,1);openModalDelete($event)"><i class="icon-trash"></i></a>
                      <a class="pull-right btn add" data-nodrag ng-click="load(labor,1);openModalSave($event)"><i class="icon-pencil"></i></a>
                      <a class="pull-right btn remove text-danger" ng-click="load(labor);new(2,$event)" data-nodrag><i class="fa fa-plus"></i> item</a>
                    </div>
                    <ol ui-tree-nodes="" ng-model="labor" ng-class="{hidden: collapsed}">
                      <li ng-repeat="item in labor.items" ui-tree-node>
                        <div class="tree-node" style="background-color: white">
                          <div class="pull-left tree-handle" style="background-color: white">
                            <i class="fa fa-minus"></i>
                          </div>
                          <div class="tree-node-content">
                            <a class="btn"><i class="fa fa-angle-downh"></i></a>
                            {{item.nombre | uppercase}}
                            <div class="pull-right mr-20">
                              <a class="btn add" data-nodrag ng-click="load(item,2);openModalSave($event)"><i class="icon-pencil"></i></a>
                              <a class="btn remove text-danger" data-nodrag ng-click="load(item,2);openModalDelete($event)"><i class="icon-trash"></i></a>
                            </div>
                          </div>
                        </div>
                      </li>
                    </ol>
                  </li>
                </ol>
              </div>
              <div class="text-center">
                <dir-pagination-controls pagination-id="labor.id"></dir-pagination-controls>
              </div>
            </div>
            <div class="col-md-12" ng-if="labores.length == 0">
              <p class="text-center">
                <i class="icon-info fa-4x"></i>
                <h5 class="text-center">no hay labores registradas...</h5>
              </p>
            </div>
        </div>

      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="labor_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="{{(obj.route === 'item_labor') ? 'Item' : 'Labor'}}"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombre<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre" placeholder="Nombre" required>
            </div>
          </div>
        </div>

        <div class="row" ng-if="obj.route === 'item_labor'">
          <div class="col-md-12">
            <div class="form-group">
              <label for="punto_evaluar">Punto a Evaluar<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="punto_evaluar" ng-model="obj.punto_evaluar" placeholder="Punto a Evaluar" required>
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="labor_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>